# Interface ISpacingProperties

#### Hierarchy

- ISpacingProperties

- Defined in src/file/paragraph/formatting/spacing.ts:10

#####
Index

### Properties

after?
afterAutoSpacing?
before?
beforeAutoSpacing?
line?
lineRule?

## Properties

### `Optional` `Readonly` after

after?: number

- Defined in src/file/paragraph/formatting/spacing.ts:11

### `Optional` `Readonly` afterAutoSpacing

afterAutoSpacing?: boolean

- Defined in src/file/paragraph/formatting/spacing.ts:16

### `Optional` `Readonly` before

before?: number

- Defined in src/file/paragraph/formatting/spacing.ts:12

### `Optional` `Readonly` beforeAutoSpacing

beforeAutoSpacing?: boolean

- Defined in src/file/paragraph/formatting/spacing.ts:15

### `Optional` `Readonly` line

line?: number

- Defined in src/file/paragraph/formatting/spacing.ts:13

### `Optional` `Readonly` lineRule

lineRule?: LineRuleType

- Defined in src/file/paragraph/formatting/spacing.ts:14

Generated using TypeDoc